Load Balancer
Update Load Balancer
patch
/loadbalancer/{lb_uuid}Update a Load Balancer's settings.
Autorización
Authorization
Authorization*string
Bearer YOUR_API_TOKEN con un token de API. También vale la cabecera X-API-Key: YOUR_API_TOKEN.
Parámetros de ruta
lb_uuid*string
Cuerpo de la petición
Update a Load Balancer
application/jsonObligatorio
name?string | null
Rango
1 ≤ length ≤ 100label?string | null
Rango
length ≤ 255Respuestas
Successful Response
application/json
uuid*string
name*string
label?string | null
status*string
plan*LBPlanDetailOut
Plan the Load Balancer runs on.
Propiedades (7)
uuid*string
name*string
description?string | null
price_per_hour*number
max_targets?integer | null
max_listeners?integer | null
connections_per_second?integer | null
location_name?string | null
project_id?integer | null
project_name?string | null
floating_ip?LBFloatingIPSummaryOut | null
Primary public IP of the Load Balancer.
Propiedades (4)
address*string
netmask?string | null
type?string | null
rdns?string | null
listeners?array<LBListenerSummaryOut>
Propiedades (7)
uuid*string
name*string
protocol?string | null
source_port*integer
target_port*integer
enabled?boolean | null
targets_count?integer
Por defecto
0protected?boolean
Por defecto
falsecreated_at?string | null
updated_at?string | null